# GetAccountOrders

Retrieve customer account orders.

`GET /blms/webservice/filingassist/customer_account/orders.json`

**API:** Registrations and Licenses
**Tag:** Accounts
**API Version:** 1.0.0
**Base URL:** https://www.businesslicenses.com
**Authentication:** API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/registration-and-licensing/api/registrations-and-licenses-order/methods/Accounts/GetAccountOrders/

## Description

Retrieve orders for a customer account. At least one of the following fields is required: account_id or bl_account_id.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `key` | string | query | Yes | The entity key provided by Avalara. |
| `avalara-version` | string | header | No | Specifies the API version to use. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. |
| `X-Correlation-ID` | string | header | No | Use the X-Correlation-ID header to support request correlation. |
| `account_id` | string | query | No | The customer account ID. Required if bl_account_id is not provided. |
| `bl_account_id` | string | query | No | The Avalara customer account ID. Required if account_id is not provided. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns a list of orders for the specified customer account. |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |
| 500 | Internal Server Error |  |

## Example Request

```bash
curl -X GET "https://www.businesslicenses.com/blms/webservice/filingassist/customer_account/orders.json" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```